#!/bin/sh

set_amd64_SE() {
    set_codename "1.7_x86-64"
    set_version_prefix 1.7
}

set_arm64_SE() {
    set_codename "4.7_arm"
    set_version_prefix 4.7
}

set_armhf_SE() {
    set_codename "4.7_arm"
    set_version_prefix 4.7
}

create_astra_update_version() {
    return 0
}

get_astra_version() {
    cat /etc/astra/build_version || cat /etc/astra_version | append_version_v_v_v_v
}

create_astra_version() {
    get_version_v_v_v
}

create_lsb_release() {
    local v
    v=$(get_version_v_v)

    local a
    a=$(echo "$CODENAME" | awk -F _ '{ print $2 }')

    cat <<EOF
DISTRIB_ID="AstraLinux"
DISTRIB_DESCRIPTION="Astra Linux $v $a"
DISTRIB_RELEASE=$CODENAME
DISTRIB_CODENAME=$CODENAME
EOF
}

create_os_release() {
    cat <<EOF
PRETTY_NAME="Astra Linux"
NAME="Astra Linux"
ID=astra
ID_LIKE=debian
ANSI_COLOR="1;31"
HOME_URL="https://astralinux.ru"
SUPPORT_URL="https://astralinux.ru/support"
LOGO=astra
VERSION_ID=$CODENAME
VERSION_CODENAME=$CODENAME
EOF
}
