#!/bin/sh

set_amd64_SE() {
    set_codename smolensk
    set_version_prefix 1.6
}

set_leningrad() {
    set_codename leningrad
    set_version_prefix 8.1
}

set_amd64_CE() {
    set_codename orel
    set_version_prefix 2.12
}

get_astra_version() {
    awk '{ print $2 }' /etc/astra_version | append_version_v_v_v_v
}

get_astra_version_edition() {
    if test "$EDITION" = SE
    then
        get_version_v_v
    else
        get_version_v_v_v
    fi
}

create_astra_version() {
    ASTRA_VERSION=$(get_astra_version_edition)

    echo "$EDITION $ASTRA_VERSION ($CODENAME)"
}

create_lsb_release() {
    cat <<EOF
DISTRIB_ID="AstraLinux${EDITION}"
DISTRIB_DESCRIPTION="Astra Linux $EDITION $ASTRA_VERSION ($CODENAME_BIG)"
DISTRIB_RELEASE=$ASTRA_VERSION
DISTRIB_CODENAME=$CODENAME
EOF
}

create_os_release() {
    cat <<EOF
PRETTY_NAME="Astra Linux ($CODENAME_BIG $ASTRA_VERSION)"
NAME="Astra Linux ($CODENAME_BIG)"
ID=astra
ID_LIKE=debian
ANSI_COLOR="1;31"
HOME_URL="http://astralinux.ru"
SUPPORT_URL="http://astralinux.ru/support"
VARIANT_ID=$CODENAME
VARIANT=$CODENAME_BIG
LOGO=astra
VERSION_ID=$ASTRA_VERSION
VERSION_CODENAME=$CODENAME
EOF
}


